Reads image from a binary string

- « Gmagick::readimage

- Gmagick::readimagefile »

- PHP Manual
- Gmagick
- Reads image from a binary string

# Gmagick::readimageblob

(PECL gmagick >= Unknown)

Gmagick::readimageblob — Reads image from a binary string

### Description

public Gmagick::readimageblob(string `$imageContents`, string `$filename` = ?): Gmagick

Reads image from a binary string.

### Parameters

`imageContents`

  Content of image.

`filename`

  The image filename.

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.